Download it now!
Bug 79281 - AppData files for Linux software centers do not validate
Summary: AppData files for Linux software centers do not validate
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-26 22:44 UTC by Fabian Alexander Wilms
Modified: 2019-09-02 09:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Alexander Wilms 2014-05-26 22:44:24 UTC
All of these files fail to validate:
http://cgit.freedesktop.org/libreoffice/core/tree/sysui/desktop/appstream-appdata

Validator:
http://people.freedesktop.org/~hughsient/appdata/

Error message:
Validation failed!

libreoffice-*.appdata.xml did not validate:

[project_license] is not present
[screenshot] url not found
Comment 1 Adolfo Jayme 2014-05-27 07:15:59 UTC
Thanks for your report, Alexander.

Well, these files were provided by Richard Hughes (AppData developer) himself. I’m not very familiar with the AppData protocol, but I understand it’s still very much changing and AppData files in every project must keep up with the changes.

I’m CCing Richard to let him know of this :-)
Comment 2 Richard Hughes 2014-05-27 10:33:30 UTC
> project_license is not present

This is a new tag and although advised is not a hard requirement -- it's a nice to have -- see http://people.freedesktop.org/~hughsient/appdata/#project_license for details.

> url not found

http://www.libreoffice.org/assets/Uploads/EN-Project_images/800x600/Base/Screenshot-87.png is indeed missing -- did someone perhaps move them somewhere else?
Comment 3 QA Administrators 2015-06-08 14:41:21 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-08-02 09:29:18 UTC
Seem to be missing still.
Comment 5 QA Administrators 2016-09-20 10:20:37 UTC Comment hidden (obsolete)
Comment 6 Fabian Alexander Wilms 2018-08-28 01:55:25 UTC
Now there's only warnings left:

appstreamcli validate libreoffice-writer.appdata.xml
W - libreoffice-writer.appdata.xml:libreoffice-writer.desktop:3
    The component ID is not a reverse domain-name. Please update the ID and that of 
    the accompanying .desktop file to follow the latest version of the Desktop-Entry 
    and AppStream specifications and avoid future issues.

I - libreoffice-writer.appdata.xml:libreoffice-writer.desktop:47
    Found invalid tag: 'kudos'. This tag is a GNOME-specific extension to AppStream 
    and is not supported by all implementations.

I - libreoffice-writer.appdata.xml:libreoffice-writer.desktop:3
    The component ID [libreoffice-writer.desktop] contains a hyphen/minus. Using a 
    hyphen is strongly discouraged, to keep interoperability with other tools such as 
    D-Bus. Ideally, replace any hyphens with an underscore ('_')

Validation failed: warnings: 1, infos: 2

The appdata should conttain a <launchable type="desktop-id">libreoffice-writer.desktop</launchable> field and as mentioned above, the ID should be changed to org.libreoffice.LibreOffice.Writer or something similar.
Comment 7 QA Administrators 2019-09-02 09:27:38 UTC
Dear Fabian Alexander Wilms,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug